"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const trie_1 = require("./trie");
const importExport_1 = require("./importExport");
const Rx = require("rxjs/Rx");
const fs = require("fs-extra");
const path = require("path");
const zlib = require("zlib");
async function readTrieFile(configLocation) {
    const buffer = await fs.readFile(configLocation);
    const json = buffer.toString();
    const config = JSON.parse(json.replace(/\/\/.*/g, ''));
    const dictDef = config && config.dictionaryDefinitions && config.dictionaryDefinitions[0] || {};
    const dictPath = dictDef.file || '';
    const pathToDict = path.join(path.dirname(configLocation), dictPath);
    const trieFileContents = await fs.readFile(pathToDict)
        .then(buffer => zlib.gunzipSync(buffer))
        .then(buffer => buffer.toString('UTF-8'));
    const trieLines = Rx.Observable.from(trieFileContents.split('\n'));
    const trieNode = importExport_1.importTrieRx(trieLines).take(1).toPromise();
    return trieNode.then(node => new trie_1.Trie(node));
}
exports.readTrieFile = readTrieFile;
//# sourceMappingURL=reader.test.js.map